#include <tads.h>

main(args)
{
"Wait 5s for command\n>";

local resList = inputLineTimeout(5000);
switch (resList[1]) {
	case InEvtLine:
		"command: <<resList[2]>>";
		break;
	case InEvtTimeout:
		"timeout: <<resList[2]>>";
		break;
	default:
		"other event";
		break;
	}

"\n\n";


"Done.";
}

